Bug 591771 - Nouveau segfaults for pyclutter apps
Nouveau segfaults for pyclutter apps
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-13 00:42 EDT by Ankur Sinha (FranciscoD)
Modified: 2011-06-02 18:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 18:51:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg output (118.30 KB, text/plain)
2010-05-13 00:43 EDT, Ankur Sinha (FranciscoD)
no flags Details
smolt profile (7.29 KB, text/plain)
2010-05-13 00:44 EDT, Ankur Sinha (FranciscoD)
no flags Details
glxinfo output (25.20 KB, text/plain)
2010-05-13 00:45 EDT, Ankur Sinha (FranciscoD)
no flags Details
screenshot of app when run in gdb. (202.21 KB, image/png)
2010-05-13 00:46 EDT, Ankur Sinha (FranciscoD)
no flags Details

  None (edit)
Description Ankur Sinha (FranciscoD) 2010-05-13 00:42:55 EDT
### Description of problem: ###

Nouveau segfaults while trying to run a pyclutter app. The same code works perfectly on intel graphics. It also ran perfectly on F12. I clean installed f13 beta a few days back. Its completely updated. Now the code crashes with a segfault. I have mesa-dri-drivers-experimental installed for 3D support.


### Version-Release number of selected component (if applicable): ###
[Ankur@localhost ~]$ rpm -q xorg-x11-drv-nouveau mesa-dri-drivers-experimental
xorg-x11-drv-nouveau-0.0.16-5.20100423git13c1043.fc13.x86_64
mesa-dri-drivers-experimental-7.8.1-6.fc13.x86_64


### How reproducible: ###
Get a git clone of the source, run fedora-tour.py


### Steps to Reproduce: ###
1.update f13 system and install experimental mesa driver
2. git clone git://git.fedorahosted.org/git/fedora-tour.git/
3. go into the src/ directory and run python fedora-tour.py
  
### Actual results: ###
Segfaults

[Ankur@localhost ~]$ cd Documents/fedora-tour/src/
[Ankur@localhost src]$ python fedora-tour.py
Segmentation fault (core dumped)


### Expected results: ###
Should work as expected


### Additional info: ###

Various attachments.

Backtrace using gdb. I installed *all* the debuginfos it asked me to. 

Without the debuginfos, it only said:

0x00007fffeddfdbf8 in ?? () from /usr/lib64/dri/nouveau_dri.so

With debuginfos:

(gdb) run fedora-tour.py 
Starting program: /usr/bin/python fedora-tour.py
[Thread debugging using libthread_db enabled]

Program received signal SIGSEGV, Segmentation fault.
0x00007fffeddfdbf8 in do_row (datatype=<value optimized out>, comps=<value optimized out>, srcWidth=<value optimized out>, srcRowA=0x7ffff7f35000, srcRowB=
    0x7ffff7f35100, dstWidth=<value optimized out>, dstRow=0x10000) at main/mipmap.c:194
194              dst[i] = (rowA[j] + rowA[k] + rowB[j] + rowB[k]) >> 2;
Comment 1 Ankur Sinha (FranciscoD) 2010-05-13 00:43:39 EDT
Created attachment 413624 [details]
dmesg output
Comment 2 Ankur Sinha (FranciscoD) 2010-05-13 00:44:07 EDT
Created attachment 413625 [details]
smolt profile
Comment 3 Ankur Sinha (FranciscoD) 2010-05-13 00:45:13 EDT
Created attachment 413627 [details]
glxinfo output
Comment 4 Ankur Sinha (FranciscoD) 2010-05-13 00:46:25 EDT
Created attachment 413628 [details]
screenshot of app when run in gdb.
Comment 5 Ankur Sinha (FranciscoD) 2010-05-13 00:47:29 EDT
hey,

That's all the info I could collect. If you need something more, please let me know. I'd be happy to test packages too if you need me to. 

regards,
Ankur
Comment 6 Ben Skeggs 2010-06-07 21:57:26 EDT
Do you still see this?  I can't reproduce with:

xorg-x11-drv-nouveau-0.0.16-6.20100423git13c1043.fc13.x86_64
clutter-1.2.8-1.fc13.x86_64
mesa-dri-drivers-experimental-7.8.1-6.fc13.x86_64
Comment 7 Ben Skeggs 2010-06-07 21:59:51 EDT
Nevermind, ignore that, can reproduce on a NV44 card.
Comment 8 Ankur Sinha (FranciscoD) 2010-06-08 03:58:04 EDT
(In reply to comment #7)
> Nevermind, ignore that, can reproduce on a NV44 card.    

hey,

from lspci :

01:00.0 VGA compatible controller: nVidia Corporation G72M [GeForce Go 7400] (rev a1)


regards,
Ankur
Comment 9 Bug Zapper 2011-06-02 10:07:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Ankur Sinha (FranciscoD) 2011-06-02 14:07:23 EDT
I've shifted to the kmod for the time being. Not sure if this is still happening. Ben, could you comment please?
Comment 11 Ben Skeggs 2011-06-02 18:51:30 EDT
It'll likely still happen.  This won't be fixed for F13, however F15 should be much better - if it's not, well, it should be fixed there.

Note You need to log in before you can comment on or make changes to this bug.